<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '../common/meta';

import { NextStep, SideNavigationVariant } from '../components/common/index';
import {
  SolutionsHero,
  SolutionsResourceCards,
} from '../components/solutions/index';
import {
  ByIndustryIntro,
  ByIndustrySolutionsBlock,
  ByIndustryCaseStudies,
} from '../components/solutions/by-industry/index';
import {
  BySolutionIntro,
  BySolutionBenefits,
  BySolutionValueProp,
} from '../components/solutions/by-solution/index';

export default Vue.extend({
  components: {
    NextStep,
    SideNavigationVariant,
    SolutionsHero,
    ByIndustryIntro,
    BySolutionIntro,
    BySolutionBenefits,
    ByIndustrySolutionsBlock,
    BySolutionValueProp,
    ByIndustryCaseStudies,
    SolutionsResourceCards,
  },
  async asyncData({ $content, params, i18n }: any) {
    const locale = i18n.locale === i18n.defaultLocale ? '' : i18n.locale;
    const doc = await $content(locale, 'small-business', params.slug).fetch();
    return { doc };
  },
  head(): MetaInfo {
    const metaInfo = getPageMetadata(
      (this as any).doc,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
    const isInternationalization =
      this.$i18n.locale !== this.$i18n.defaultLocale;

    if (isInternationalization) {
      metaInfo.meta.push({
        hid: 'salesRobots',
        name: 'robots',
        content: 'noindex,nofollow',
      });
    }

    return metaInfo;
  },
});
</script>

<template>
  <div class="overflow-clip">
    <SolutionsHero :data="doc.solutions_hero" />
    <ByIndustryIntro :data="doc.by_industry_intro" />
    <SideNavigationVariant :links="doc['side_navigation_links']">
      <div id="overview" data-slippers-scroll="overview">
        <BySolutionIntro :data="doc.by_solution_intro" />
        <BySolutionBenefits :data="doc.by_solution_benefits" />
      </div>
      <ByIndustrySolutionsBlock
        id="capabilities"
        :data="doc.by_industry_solutions_block"
      />
      <BySolutionValueProp
        id="benefits"
        :justify-content="true"
        :data="doc.by_solution_value_prop"
      />
      <ByIndustryCaseStudies
        id="case-studies"
        :data="doc.by_industry_case_studies"
      />
    </SideNavigationVariant>
    <SolutionsResourceCards :data="doc.solutions_resource_cards" />
    <NextStep />
  </div>
</template>
